%define tarball xf86-video-mga
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
%define with_dri        1
%else
%define with_dri        0
%endif

Summary:   Xorg X11 mga video driver
Name:      xorg-x11-drv-mga
Version:   1.4.2
Release:   6%{?dist}
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   mga.xinf

Patch0: blank-on-init.patch

# RHEL5 patches
Patch100:   mga-1.4.2-g200se-crash.patch
Patch101:   mga-1.4.2-g200se-disable-mtrr.patch
Patch102:   mga-1.4.2-g200se-default-mode.patch
Patch103:   mga-1.4.2-unbreak-dri.patch

ExclusiveArch: %{ix86} x86_64 ia64 alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.1.0-2
%if %{with_dri}
BuildRequires: mesa-libGL-devel >= 6.4-4
BuildRequires: libdrm-devel >= 2.0-1
%endif

Requires:  xorg-x11-server-Xorg >= 1.0.99.901

%description 
X.Org X11 mga video driver.

%prep
%setup -q -n %{tarball}-%{version}

%patch0 -p1 -b .blank-on-init

%patch100 -p1 -b .g200se-crash
%patch101 -p1 -b .g200se-mtrr
%patch102 -p1 -b .g200se-mode
%patch103 -p1 -b .unbreak-dri

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

# NOTE: Intentionally remove hardware specific utilities, we generally do not
# supply these in the core OS.
#rm $RPM_BUILD_ROOT%{_bindir}/stormdwg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/mga_drv.so
%{_datadir}/hwdata/videoaliases/mga.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/mga.4*

%changelog
* Tue Aug 07 2007 Adam Jackson <ajax@redhat.com> 1.4.2-6
- mga-1.4.2-g200se-default-mode.patch: Tweak for G200SE to use the settings
  from the default Display subsection in xorg.conf, so that changes from
  s-c-d will make their way into the driver. (#228705)

* Tue Dec 12 2006 Adam Jackson <ajax@redhat.com> 1.4.2-5.el5
- mga-1.4.2-unbreak-dri.patch: Fix a boolean logic error from the G200SE
  merge that broke DRI on, well, everything else. (#217579)

* Wed Dec 6 2006 Adam Jackson <ajax@redhat.com> 1.4.2-4.el5
- mga-1.4.2-g200se-default-mode.patch: Fix defaults for G200SE to fit
  1024x768x16 @ 60Hz. (#215949)

* Wed Dec 6 2006 Adam Jackson <ajax@redhat.com> 1.4.2-3.el5
- mga-1.4.2-g200se-crash.patch: Fix hangs when saving and restoring video.
- mga-1.4.2-g200se-disable-mtrr.patch: Disable MTRR for PCIE G200SEs.

* Wed Nov 08 2006 Soren Sandmann <sandmann@redhat.com> 1.4.2-2.el5
- Add .blank-on-init, which clears the framebuffer before setting the
  initial mode. (#210297).

* Mon Nov 6 2006 Adam Jackson <ajackson@redhat.com> 1.4.2-1.el5
- Update to 1.4.2.  (#213053)

* Thu Oct 12 2006 Adam Jackson <ajackson@redhat.com> 1.4.1-5.1.el5
- Remove from ppc builds.  (#204393)

* Fri Aug 18 2006 Kristian Høgsberg <krh@redhat.com> 1.4.1-5.fc6
- Add Tilman Sauerbecks patch to fix DRI locking.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.4.1-4.1
- rebuild

* Thu Jul  6 2006 Adam Jackson <ajackson@redhat.com> 1.4.1-4
- mga.xinf updates.  Add G200SE cards, remove Impression and Mistral IDs
  (since they do not and never have worked), and comment each line with
  the appropriate card name.

* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 1.4.1-3
- Added with_dri conditionalization (not yet working for non-dri case).
- Added "BuildRequires: libdrm-devel >= 2.0-1" for (#192358).
- Added "BuildRequires: mesa-libGL-devel >= 6.4-4".
- Bumped sdk dep to pick up proto-devel indirectly.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.4.1-2
- Update to 1.4.1 from 7.1RC1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.2.1.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.2.1.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.2.1.3-1
- Updated xorg-x11-drv-mga to version 1.2.1.3 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.2.1.2-1
- Updated xorg-x11-drv-mga to version 1.2.1.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.2.1-1
- Updated xorg-x11-drv-mga to version 1.2.1 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.2.0.1-1
- Updated xorg-x11-drv-mga to version 1.2.0.1 from X11R7 RC1
- Fix *.la file removal.
- Remove hardware specific {_bindir}/stormdwg utility.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.1.2-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64, ia64, ppc

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.1.2-0
- Initial spec file for mga video driver generated automatically
  by my xorg-driverspecgen script.
